#include "BH1750.h"
#include "Wire.h"

BH1750::BH1750() 
{
  
};

void BH1750::begin(uint8_t mode, uint8_t addr) {
  sensorAddress = addr;
  //Wire.begin();
  Wire.beginTransmission(sensorAddress);
  Wire.write(mode);
  I2Cstatus = Wire.endTransmission();
}

void BH1750::readLightLevel() {
  Wire.requestFrom(sensorAddress, 2);
  I2Cstatus = Wire.getStatus();
  if (I2Cstatus != 0) return;

  ((byte *)&lightLux)[3] = 0;
  ((byte *)&lightLux)[2] = 0;
  ((byte *)&lightLux)[1] = Wire.read();
  ((byte *)&lightLux)[0] = Wire.read();

  // Actual Lux = sensor out * 1.2.
  // See datasheet of BH1750.

  lightLux *= 6;
  lightLux /= 5;
}
